Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.query
Class GlobalQuery

    java.lang.Object
      unity.query.GlobalQuery

    public class GlobalQuery

extends java.lang.Object

Constructor Summary
`GlobalQuery()`

Method Summary
`void` | `addSubQuery(SubQuery sq)`
`java.lang.String` | `getCatalogName(int column)`
`int` | `getColumnDisplaySize(int column)`
`int` | `getColumnType(int column)`
`java.lang.String` | `getColumnTypeName(int column)`
`Operator` | `getExecutionTree()`
`java.lang.String[]` | `getHeaders()`
`boolean` | `getLocalProcessing()`
`java.util.ArrayList` | `getLocalQueries()`
`LQTree` | `getLogicalQueryTree()`
`int` | `getPrecision(int column)`
`java.lang.String` | `getQueryString()`
`java.lang.String` | `getSchemaName(int column)`
`java.util.ArrayList` | `getSubQueries()`
`java.lang.String` | `getTableName(int column)`
`int` | `isNullable(int column)`
`void` | `setExecutionTree(Operator root)`
`void` | `setLocalProcessing(boolean b)`
`void` | `setLocalQueries(java.util.ArrayList qrys)`
`void` | `setLogicalQueryTree(LQTree lqt)`
`void` | `setQueryString(java.lang.String st)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlobalQuery

    public GlobalQuery()

Method Detail

### addSubQuery

    public void addSubQuery(SubQuery sq)

### getSubQueries

    public java.util.ArrayList getSubQueries()

### setLocalProcessing

    public void setLocalProcessing(boolean b)

### getLocalProcessing

    public boolean getLocalProcessing()

### getQueryString

    public java.lang.String getQueryString()

### setQueryString

    public void setQueryString(java.lang.String st)

### setLogicalQueryTree

    public void setLogicalQueryTree(LQTree lqt)

### getLogicalQueryTree

    public LQTree getLogicalQueryTree()

### setExecutionTree

    public void setExecutionTree(Operator root)

### getExecutionTree

    public Operator getExecutionTree()

### setLocalQueries

    public void setLocalQueries(java.util.ArrayList qrys)

### getLocalQueries

    public java.util.ArrayList getLocalQueries()

### getHeaders

    public java.lang.String[] getHeaders()

### isNullable

    public int isNullable(int column)

### getColumnDisplaySize

    public int getColumnDisplaySize(int column)

### getSchemaName

    public java.lang.String getSchemaName(int column)

### getPrecision

    public int getPrecision(int column)

### getTableName

    public java.lang.String getTableName(int column)

### getCatalogName

    public java.lang.String getCatalogName(int column)

### getColumnType

    public int getColumnType(int column)

### getColumnTypeName

    public java.lang.String getColumnTypeName(int column)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD